Loading...
Searching...
No Matches
xdo Struct Reference

The main context. More...

`#include <xdo.h>`

## Data Fields

Display * | xdpy
| The Display for Xlib.
char * | display_name
| The display name, if any.
charcodemap_t * | charcodes
int | charcodes_len
XModifierKeymap * | modmap
KeySym * | keymap
int | keycode_high
int | keycode_low
int | keysyms_per_keycode
int | close_display_when_freed
| Should we close the display when calling xdo_free?
int | quiet
| Be extra quiet?
int | debug
| Enable debug output?
int | features_mask
| Feature flags, such as XDO_FEATURE_XTEST, etc...

## Detailed Description

The main context.

## Field Documentation

## display_name

char* xdo::display_name

The display name, if any.

NULL if not specified.

## quiet

int xdo::quiet

Be extra quiet?

(omits some error/message output)

The documentation for this struct was generated from the following file:

- xdo.h